The provided address is cross referenced against algorithms to suggest whether it has generated spam messages
/
Accept an XMTP chat reque...
Messaging API (1.0.0)
The Messaging API is responsible for messaging interactions related to email, Push Protocol or XMTP.
This API uses signed messages to validate a given wallet is authorized to submit the request. Authentication headers must be provided using the approach described below.
- Determine the message that must be signed through the message generator endpoint
- Request GET /api/user/{domain}/signature?device=true&expiry={timestamp}
- Replace '{domain}' with desired domain
- Replace '{expiry}' with desired Unix epoch timestamp
- Response contains the message that must be signed
- Message is a unique hash value
- Represents combination of provided request parameters
- Includes an expiration timestamp
- Request GET /api/user/{domain}/signature?device=true&expiry={timestamp}
- User must sign the message returned by the message generator API
- For example, the Metamask wallet could be used to sign the message
- Generated signature is used in header of subsequent GET or POST request
- Construct a request to the desired endpoint that requires user authentication
- Must include headers
- x-auth-domain - Must equal the {domain} in context
- x-auth-expiration - Must equal the {expiry} timestamp in the signed message
- x-auth-signature - Must be set to the value of the user generated signature
- Must include headers
Languages
Servers
Production
https://api.unstoppabledomains.com/messaging
- Productionhttps://api.unstoppabledomains.com/messaging/xmtp/spam/{address}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X GET \
'https://api.unstoppabledomains.com/messaging/xmtp/spam/{address}'Response
application/json
{ "isSpam": true }
- Productionhttps://api.unstoppabledomains.com/messaging/xmtp/topics/accept
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/messaging/xmtp/topics/accept \
-H 'Content-Type: application/json' \
-d '{
"ownerAddress": 123,
"signedPublicKey": 456,
"registrations": [
{
"accept": true,
"block": true,
"topic": "topic-123",
"peerAddress": "string",
"signature": "<signed topic ID>"
}
]
}'- Productionhttps://api.unstoppabledomains.com/messaging/xmtp/topics/block
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/messaging/xmtp/topics/block \
-H 'Content-Type: application/json' \
-d '{
"ownerAddress": 123,
"signedPublicKey": 456,
"registrations": [
{
"accept": true,
"block": true,
"topic": "topic-123",
"peerAddress": "string",
"signature": "<signed topic ID>"
}
]
}'- Productionhttps://api.unstoppabledomains.com/messaging/xmtp/topics/register
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/messaging/xmtp/topics/register \
-H 'Content-Type: application/json' \
-d '{
"ownerAddress": 123,
"signedPublicKey": 456,
"registrations": [
{
"accept": true,
"block": true,
"topic": "topic-123",
"peerAddress": "string",
"signature": "<signed topic ID>"
}
]
}'